> For the complete documentation index, see [llms.txt](https://docs.clashperk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clashperk.com/developer/commands/autorole/clan-roles.md).

# /autorole clan-roles

Manage automatic role management for clan roles.

## Options

| Name             | Description                                                                            |
| ---------------- | -------------------------------------------------------------------------------------- |
| `clans`          | Clan tags or aliases to filter clans.                                                  |
| `leader_role`    | The Leader role.                                                                       |
| `co_leader_role` | The Co-Leader role.                                                                    |
| `elder_role`     | The Elder role.                                                                        |
| `member_role`    | The Member role (below Elder)                                                          |
| `everyone_role`  | Clan role for everyone in the clan.                                                    |
| `only_verified`  | Roles will be given to the verified players only. (API token verification is required) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clashperk.com/developer/commands/autorole/clan-roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
